cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
simozz
Mentor
Mentor
5,082 Views
Registered: ‎05-14-2017

PetaLinux doesn't see libtool, so it won't run

Jump to solution

Dear Xilinx community,

 

I am trying to setup the petalinux sdk on my debian system, but petalinux doesn't see libtool as installed so I am stuck because it won't run.

The error it fires is:

 

INFO: Checking installed tools
ERROR: You are missing the following system tools required by PetaLinux:

 - libtool
Please check PetaLinux installation guide - required tools and libraries pacakge section for detailed information

which is not true:

 

$ dpkg -l | grep libtool
ii libltdl-dev:amd64 2.4.2-1.11+b1 amd64 System independent dlopen wrapper for GNU libtool ii libltdl7:amd64 2.4.2-1.11+b1 amd64 System independent dlopen wrapper for GNU libtool rc libltdl7:i386 2.4.2-1.11+b1 i386 System independent dlopen wrapper for GNU libtool ii libtool 2.4.2-1.11 all Generic library support script

The petalinux-env-check is a binary file, so I cannot modify it as a shell script.

How can I instruct to petalinux where he can find the libtool package ?

 

Thank you in advance,

Regards,

Simon

1 Solution

Accepted Solutions
thngttr
Contributor
Contributor
4,618 Views
Registered: ‎03-13-2017

i had the same error on Linux Mint and installing libtool-bin removed it from the list in my case

View solution in original post

3 Replies
thngttr
Contributor
Contributor
4,619 Views
Registered: ‎03-13-2017

i had the same error on Linux Mint and installing libtool-bin removed it from the list in my case

View solution in original post

mihac
Visitor
Visitor
1,800 Views
Registered: ‎04-01-2015

Thank you for the tip and it is still valid in 2019 on Linux Mint 19.1.

0 Kudos
yym
Newbie
Newbie
181 Views
Registered: ‎07-28-2021

it also works on Mint 20.2

0 Kudos